---
title: Eyedropper
slug: Tools/Eyedropper
tags:
  - Firefox
  - Tools
  - 'Web Development:Tools'
---
<div>{{ToolsSidebar}}</div><div class="geckoVersionNote">
<p>The Eyedropper is new in Firefox 31.</p>
</div>

<p>The Eyedropper tool enables you to select colors in the current page. It works like a magnifying glass over the page, enabling you to select with pixel precision. Underneath the magnifying glass it shows the color value for the current pixel using whichever scheme you've selected in <a href="/en-US/docs/Tools/Settings#Inspector">Settings &gt; Inspector</a> &gt; Default color unit:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/7749/eyedropper.png" style="display: block; height: 204px; margin-left: auto; margin-right: auto; width: 305px;">You can use it in one of two ways:</p>

<ul>
 <li>to select a color from the page and copy it to the clipboard</li>
 <li>to change a color value in the Inspector's Rules view to a color you've selected from the page</li>
</ul>

<h2 id="Copying_a_color_to_the_clipboard">Copying a color to the clipboard</h2>

<p>Open the Eyedropper in one of these two ways:</p>

<ul>
 <li>select "Eyedropper" under the "Web Developer" menu</li>
 <li>open the <a href="/en-US/docs/Tools/Page_Inspector">Page Inspector</a> tab and click the eyedropper button in its toolbar</li>
</ul>

<p>As you move the mouse around the page you'll see the current color value in the Eyedropper change. Clicking copies the current color value to the clipboard.</p>

<p>{{EmbedYouTube("xf2uk6UyRB8")}}</p>

<h2 id="Changing_a_color_value_in_the_Rules_view">Changing a color value in the Rules view</h2>

<p>Color values appearing in the Inspector's Rules view have color samples next to them: clicking the sample shows a <a href="/en-US/docs/Tools/Page_Inspector#Color_picker">color picker popup</a>. From Firefox 31, the popup contains an eyedropper icon: click this icon to activate the Eyedropper.</p>

<p>Now, when you click the Eyedropper, the color in the Rules view is set to the color you selected.</p>

<p>{{EmbedYouTube("0Zx1TN21QOo")}}</p>

<h2 id="Keyboard_shortcuts">Keyboard shortcuts</h2>

<p>{{ Page ("en-US/docs/tools/Keyboard_shortcuts", "eyedropper") }}</p>
